<template>
  <div class="footer-content container">
    <div class="footer-links">
      <base-scroll-animation
        :type="'fade'"
        :duration="1000"
        :delay="500"
        :once="true"
      >
        <template v-slot:animate>
          <ul class="flex is-direction:column">
            <link-list v-for="(link, i) in links" :key="i">
              <template v-slot:default>
                <a
                  v-if="link.url"
                  :href="'https://' + link.url"
                  class="site-link has-circle hover:white"
                  v-html="link.title"
                ></a>
                <a
                  v-else
                  :href="`mailto:${link.email}`"
                  class="site-link has-circle hover:white"
                  v-html="link.title"
                ></a>
              </template>
            </link-list>
          </ul>
        </template>
      </base-scroll-animation>
    </div>

    <div class="footer-legal">
      <base-scroll-animation
        :type="'fade'"
        :duration="1000"
        :delay="500"
        :once="true"
        :anchor="'bottom-bottom'"
      >
        <template v-slot:animate>
          <div class="flex is-spaced:between is-aligned:flex-end">
            <p class="font-light">
              &copy;2021 Austin Maples. All rights reserved.
            </p>
            <div class="footer-icon">
              <img :src="getImage('am_the_end_sketch.svg')" alt="The end" />
            </div>
          </div>
        </template>
      </base-scroll-animation>
    </div>
  </div>
</template>

<script>
import LinkList from "../Copy/LinkList.vue";
export default {
  components: { LinkList },
  data() {
    return {
      links: [
        {
          title: `
        Instagram
        `,
          url: "instagram.com/austinmaples?igshid=1g8yblruneco4",
        },
        {
          title: `
        Link<span class="-salt">e</span>dIn
        `,
          url: "linkedin.com/in/austin-maples-3471aa203",
        },
        {
          title: `
        <span class="-salt">e</span>mail
        `,
          email: "austin@austinmaples.com",
        },

        {
          title: `
        <span class="-salt">e</span>njoy tattoos
        `,
          url: "enjoytattoosla.com/",
        },
      ],
    };
  },
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    },
  },
};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/globals/_colors.scss";
.footer {
  &-legal {
    padding: 0 0.5rem 0;
    @media all and (min-width: 600px) {
      padding: 0 0.5rem 0;
      padding: 0;
    }
  }
  &-content {
    display: grid;
    grid-template-columns: auto;
    // padding: 0 1rem 4rem;
    padding: 0 1rem 1.66rem;

    // @media all and (min-width: 375px) {
    //   margin-bottom: 1rem;
    // }
    @media all and (min-width: 768px) {
      padding: 0 3rem 2.6rem 3rem;
      margin-bottom: 0;
    }
    @media all and (min-width: 1024px) {
      padding: 0 10rem 3rem 7rem;
      // margin-bottom: 11rem;
    }
  }
  &-icon {
    @media all and (min-width: 320px) {
      flex-basis: 7rem;
    }
    @media all and (min-width: 768px) {
      flex-basis: auto;
      max-width: 8.5rem;
    }
    @media all and (min-width: 1130px) {
      max-width: 14rem;
    }
    @media all and (min-width: 1920px) {
      max-width: 18.8rem;
    }
  }
}
ul {
  max-width: max-content;
  margin-top: 3rem;
  margin-bottom: 5rem;
  @media all and (min-width: 768px) {
    margin-top: 6.2rem;
    margin-bottom: 11rem;
  }
}
li {
  font-family: "Lucifer Black", sans-serif;
  font-size: 1.68rem;
  // font-weight: 900;
  font-stretch: normal;
  font-style: normal;
  line-height: 1;
  letter-spacing: -0.47px;
  z-index: 1;

  @media all and (min-width: 375px) {
    font-size: 1.85rem;
    margin-bottom: 0.25rem;
  }
  @media all and (min-width: 768px) {
    letter-spacing: -1.25px;
    font-size: 3.9rem;
    margin-bottom: 0;
  }
  @media all and (min-width: 1440px) {
    font-size: var(--hover-scale);
  }
}
p {
  // font-size: 1.625rem;
  // font-size: 1.2rem;
  font-size: 0.85rem;

  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 0.77;
  letter-spacing: normal;
  text-transform: uppercase;
  flex-grow: 1;
  max-width: initial;

  @media all and (min-width: 600px) {
    flex-grow: 0;
    font-size: 1.625rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 2.1rem;
  }
}
</style>
